do
    local oldModBlueprints = ModBlueprints

    function ModBlueprints(all_bps)
	    oldModBlueprints(all_bps)

         local econScale = 1
         local econScale2 = 1 
		 local costMultiplier = 1
    --loop through the blueprints and adjust as desired.
    for id,bp in all_bps.Unit do
        if bp.Economy.ProductionPerSecondMass then
           bp.Economy.ProductionPerSecondMass = bp.Economy.ProductionPerSecondMass * econScale
        end
        if bp.Economy.ProductionPerSecondEnergy then
           bp.Economy.ProductionPerSecondEnergy = bp.Economy.ProductionPerSecondEnergy * econScale2
        end  
        if bp.Economy.BuildTime then
           bp.Economy.BuildTime = bp.Economy.BuildTime * costMultiplier
        end
        if bp.Economy.BuildCostEnergy then
           bp.Economy.BuildCostEnergy = bp.Economy.BuildCostEnergy * costMultiplier
        end
        if bp.Economy.BuildCostMass then
           bp.Economy.BuildCostMass = bp.Economy.BuildCostMass * costMultiplier
        end
        if bp.Enhancements then
            for k,v in pairs(bp.Enhancements) do
                if bp.Enhancements[k].BuildCostMass then
                    bp.Enhancements[k].BuildCostMass = bp.Enhancements[k].BuildCostMass * costMultiplier
                end
                if bp.Enhancements[k].BuildCostEnergy then
                    bp.Enhancements[k].BuildCostEnergy = bp.Enhancements[k].BuildCostEnergy * costMultiplier
                end
                if bp.Enhancements[k].BuildTime then
                    bp.Enhancements[k].BuildTime = bp.Enhancements[k].BuildTime * costMultiplier
                end
            end
        end
    end
    for id,bp in pairs(all_bps.Projectile) do
        if bp.Economy.BuildCostMass then
            bp.Economy.BuildCostMass = bp.Economy.BuildCostMass * costMultiplier
        end
        if bp.Economy.BuildCostEnergy then
            bp.Economy.BuildCostEnergy = bp.Economy.BuildCostEnergy * costMultiplier
        end
        if bp.Economy.BuildTime then
            bp.Economy.BuildTime = bp.Economy.BuildTime * costMultiplier
        end
    end
    end

end




